Canvas5Structure::Stream Struct Reference

a sub stream of Canvas5Structure More...

`#include <Canvas5Structure.hxx>`

## Public Member Functions
| Stream (MWAWInputStreamPtr input)
| constructor
| Stream (MWAWInputStreamPtr input, libmwaw::DebugFile &ascii)
| constructor from input and ascii file
MWAWInputStreamPtr | input ()
| returns the input file
libmwaw::DebugFile & | ascii ()
| return the ascii file

## Protected Attributes
MWAWInputStreamPtr | m_input
| the input file
libmwaw::DebugFile & | m_ascii
| the ascii file
libmwaw::DebugFile | m_asciiFile
| the ascii file

## Detailed Description

a sub stream of Canvas5Structure

## Constructor & Destructor Documentation

## ◆ Stream() [1/2]

Canvas5Structure::Stream::Stream | ( | MWAWInputStreamPtr | input | ) |
| inline explicit

constructor

## ◆ Stream() [2/2]

Canvas5Structure::Stream::Stream | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | ascii )
| inline

constructor from input and ascii file

## Member Function Documentation

## ◆ ascii()

libmwaw::DebugFile & Canvas5Structure::Stream::ascii | ( |  | ) |
| inline

return the ascii file

Referenced by Canvas5Parser::checkTAG9(), Canvas5Structure::readBitmap(), Canvas5Structure::readBitmapDAD58Bim(), Canvas5StyleManager::readCharStyle(), Canvas5StyleManager::readDash(), Canvas5Parser::readDefined(), Canvas5Parser::readFileDesc(), Canvas5BMParser::readFileHeader(), Canvas5StyleManager::readPenStyle(), Canvas5Parser::readPicture(), Canvas5Parser::readPnot(), Canvas5Structure::readPreview(), Canvas5Parser::readPrinterRsrc(), Canvas5Image::readQkTmRsrc(), Canvas5Graph::readShapes(), Canvas5Parser::readSI200(), Canvas5Parser::readUsed(), and Stream().

## ◆ input()

MWAWInputStreamPtr Canvas5Structure::Stream::input | ( |  | ) |
| inline

returns the input file

Referenced by Canvas5Parser::checkTAG9(), Canvas5Parser::getTAG9(), Canvas5Structure::readBitmap(), Canvas5Structure::readBitmapDAD58Bim(), Canvas5StyleManager::readCharStyle(), Canvas5StyleManager::readColor(), Canvas5StyleManager::readDash(), Canvas5Parser::readDataHeader(), Canvas5Parser::readDefined(), Canvas5Parser::readDouble(), Canvas5Parser::readDouble(), Canvas5Parser::readFileDesc(), Canvas5BMParser::readFileHeader(), Canvas5Parser::readInteger(), Canvas5Parser::readItemHeader9(), Canvas5Image::readMacroIndent(), Canvas5StyleManager::readPenStyle(), Canvas5Parser::readPicture(), Canvas5Parser::readPnot(), Canvas5Structure::readPreview(), Canvas5Parser::readPrinterRsrc(), Canvas5Image::readQkTmRsrc(), Canvas5Graph::readShapes(), Canvas5Parser::readSI200(), Canvas5Parser::readString(), Canvas5Parser::readUsed(), Canvas5Graph::sendCurveText(), Canvas5Graph::sendDimension(), Canvas5Graph::sendDimension9(), Canvas5Graph::sendEffect(), Canvas5Graph::sendExtrude(), Canvas5Graph::sendGIF(), Canvas5Graph::sendTechnical(), Stream(), and Stream().

## Member Data Documentation

## ◆ m_ascii

libmwaw::DebugFile& Canvas5Structure::Stream::m_ascii
| protected

the ascii file

Referenced by ascii(), Stream(), and Stream().

## ◆ m_asciiFile

libmwaw::DebugFile Canvas5Structure::Stream::m_asciiFile
| protected

the ascii file

Referenced by Stream(), and Stream().

## ◆ m_input

MWAWInputStreamPtr Canvas5Structure::Stream::m_input
| protected

the input file

Referenced by input(), Stream(), and Stream().

The documentation for this struct was generated from the following file:

- Canvas5Structure.hxx